Package org.opensaml.soap.wsaddressing.util

# Class WSAddressingSupport

java.lang.Object
org.opensaml.soap.wsaddressing.util.WSAddressingSupport

public final class WSAddressingSupport extends Object
Helper methods for working with WS-Addressing.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSAddressingSupport()`
Private constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addWSAIsReferenceParameter(XMLObject soapObject, boolean isReferenceParameter)`
Adds a `wsa:IsReferenceParameter` attribute to the given SOAP object.
`static boolean`
`getWSAIsReferenceParameter(XMLObject soapObject)`
Get the `wsa:IsReferenceParameter` attribute from a given SOAP object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WSAddressingSupport

private WSAddressingSupport()
Private constructor.

## Method Details

### addWSAIsReferenceParameter

public static void addWSAIsReferenceParameter(@Nonnull XMLObject soapObject, boolean isReferenceParameter)
Adds a `wsa:IsReferenceParameter` attribute to the given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
  `isReferenceParameter` - whether IsReferenceParameter is true or false

### getWSAIsReferenceParameter

public static boolean getWSAIsReferenceParameter(@Nonnull XMLObject soapObject)
Get the `wsa:IsReferenceParameter` attribute from a given SOAP object.

Parameters:
  `soapObject` - the SOAP object to add the attribute to
Returns:
  value of the IsReferenceParameter attribute, or false if not present